[ubuntu/jammy-proposed] virtuoso-opensource 7.2.5.1+dfsg1-0.2 (Accepted)

Logan Rosen loganrosen at gmail.com
Wed Nov 24 22:50:51 UTC 2021


virtuoso-opensource (7.2.5.1+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix WBXML2 0.11 detection.  (Closes: #993431)
  * Use libtirpc-dev.  (Closes: #993390)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.
  * Drop NEWS from 2010.

virtuoso-opensource (7.2.5.1+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack to remove sw-vert-v.svg.  (Closes: #990890)
  * Drop /sdk:2 from MCS_FLAGS.  (Closes: #991070)

virtuoso-opensource (7.2.5.1+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce libvirtuoso5.5-cil, the upgrade error was actually in mono.

virtuoso-opensource (7.2.5.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the libvirtuoso5.5-cil package. (Closes: #986293)
  * Updated debconf translations:
    - Dutch from Frans Spiesschaert. (Closes: #983414)
    - German from Helge Kreutzmann. (Closes: #982628)
    - Portuguese from Américo Monteiro. (Closes: #982569)

virtuoso-opensource (7.2.5.1+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

virtuoso-opensource (7.2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Postinst script should initialise plugins in the correct multiarch dir
  * Build against libssl-dev (>= 1.1)
    Closes: #828594
  * Take over some patches from Ubuntu
     - debconf question priority
     - ODBC configuration (just as comment)
  * Prevent privacy breach
  * Use debian/virtuoso-opensource-7.maintscript instead of using
    dpkg-maintscript-helper in maintainer scripts
  * Update German debconf translations
  * Standards-Version: 4.3.0
  * debhelper 12 (but skip dh_dwz)
  * Enable cross-compilation

  [ Andreas Beckmann ]
  * Perform the DEB_HOST_MULTIARCH substition at build time.
  * Add Breaks+Replaces against virtuoso-opensource-6.1-{bin,common}.
    (Closes: #907875)
  * Fix building twice in a row.  (Closes: #680775)

virtuoso-opensource (7.2.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version (adapted patches)  (Closes: #689230)
  * DEP5
  * Use Files-Excluded to remove unwanted files from source tarball
  * Point watch file to Github and add options for file exclusion
  * Moved packaging to Debian Science team  (Closes: #813499)
  * Fix homepage
  * debhelper 11
  * cme fix dpkg-control
  * Standards-Version: 4.2.0
  * d/control: Adapt package names to new version (s/6\.1/7/)
  * Build against OpenSSL 1.0
  * virtuoso-opensource-7 Depends: lsb-base
  * debian/rules:
     - hardening=+all
     - Do not explicitly set DEB_HOST_MULTIARCH
  * debian/copyright: Files-Excluded:
        *.chm
        binsrc/dbpedia/vsp/statics/js/bootstrap.min.js
        binsrc/dbpedia/vsp/statics/js/jquery.min.js
    (these files are not installed)
        ckeditor
    (ckeditor is used from Debian packaged Version)
  * debian/source/lintian-overrides: Suppress false positives
  * virtuoso-opensource-7.init: Make sure virtuoso starts right from beginning
  * Package libvirtodbc0 should be in Section: libs
  * Make sure virtuoso will start right after installation

Date: 2021-10-21 04:44:02.443759+00:00
Signed-By: Logan Rosen <loganrosen at gmail.com>
https://launchpad.net/ubuntu/+source/virtuoso-opensource/7.2.5.1+dfsg1-0.2
-------------- next part --------------
Sorry, changesfile not available.


More information about the jammy-changes mailing list